edu.whs.spin2018.baoapp.model.spiel.spieler

## Class Spieler

- java.lang.Object
- - edu.whs.spin2018.baoapp.model.spiel.spieler.Spieler

- Direct Known Subclasses:
    ComputerSpieler, MenschlicherSpieler

      public abstract class Spieler
      extends java.lang.Object

  Oberklasse fuer die Spieler.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Spieler(java.lang.String name, SpielerIndex spielerIndex)` Erzeugt einen Spieler mit einem Namen und dem

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BaoSpiel` | `gibBaoSpiel()` Gibt das BaoSpiel des Spielers
    `java.lang.String` | `gibName()` Gibt den Namen des Spielers.
    `SpielerIndex` | `gibSpielerIndex()` Gibt den SpielerIndex des Spielers.
    `boolean` | `istAmZug()` Liefert, ob der Spieler am Zug ist oder nicht.
    `boolean` | `istSpielerEins()` Gibt an, ob es sich bei dem Spieler um Spieler Eins oder Spieler Zwei handelt
    `void` | `setzeBaoSpiel(BaoSpiel baospiel)` Setzt das BaoSpiel des Spielers.
    `void` | `setzeIstAmZug(boolean istAmZug)` Setzt den Zug eines Spielers
    `void` | `setzeZug(boolean zug)` Setzt den Zug des Spielers.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Spieler

          public Spieler(java.lang.String name,
                         SpielerIndex spielerIndex)

      Erzeugt einen Spieler mit einem Namen und dem
      Parameters:
        `name` - - Name des Spielers
        `spielerIndex` - - Index des Spielers

  - ### Method Detail

    - #### setzeBaoSpiel

          public void setzeBaoSpiel(BaoSpiel baospiel)

      Setzt das BaoSpiel des Spielers.
      Parameters:
        `baospiel` - das zu setzende BaoSpiel

    - #### istSpielerEins

          public boolean istSpielerEins()

      Gibt an, ob es sich bei dem Spieler um Spieler Eins oder Spieler Zwei handelt
      Returns:
        true genau dann, wenn der Spieler auf dem diese Methode aufgerufen wurde, Spieler Eins ist

    - #### gibBaoSpiel

          public BaoSpiel gibBaoSpiel()

      Gibt das BaoSpiel des Spielers
      Returns:
        das BaoSpiel des Spielers

    - #### setzeZug

          public void setzeZug(boolean zug)

      Setzt den Zug des Spielers.
      Parameters:
        `zug` - ob er am Zug ist oder nicht

    - #### gibSpielerIndex

          public SpielerIndex gibSpielerIndex()

      Gibt den SpielerIndex des Spielers.
      Returns:
        SpielerIndex des Spielers

    - #### gibName

          public java.lang.String gibName()

      Gibt den Namen des Spielers.
      Returns:
        Name des Spielers

    - #### istAmZug

          public boolean istAmZug()

      Liefert, ob der Spieler am Zug ist oder nicht.
      Returns:
        true, genau dann wenn der Spieler am Zug ist

    - #### setzeIstAmZug

          public void setzeIstAmZug(boolean istAmZug)

      Setzt den Zug eines Spielers
      Parameters:
        `istAmZug` - ob der Spieler jetzt am Zug ist oder nicht